# GSS-API key exchange

This module provides GSS-API / SSPI Key Exchange as defined in RFC 4462.

Note

Credential delegation is not supported in server mode.

Note

RFC 4462 Section 2.2 says we are not required to implement GSS-API error messages. Thus, in many methods within this module, if an error occurs an exception will be thrown and the connection will be terminated.

See also

GSS-API authentication

New in version 1.15.

class paramiko.kex_gss.KexGSSGroup1(transport)

  GSS-API / SSPI Authenticated Diffie-Hellman Key Exchange as defined in RFC 4462 Section 2

  __init__(transport)
  start_kex()

    Start the GSS-API / SSPI Authenticated Diffie-Hellman Key Exchange.

  parse_next(ptype, m)

    Parse the next packet.

    Parameters:

      - ptype – The (string) type of the incoming packet

      - m (Message) – The packet content

  __weakref__

    list of weak references to the object (if defined)

class paramiko.kex_gss.KexGSSGroup14(transport)

  GSS-API / SSPI Authenticated Diffie-Hellman Group14 Key Exchange as defined in RFC 4462 Section 2

class paramiko.kex_gss.KexGSSGex(transport)

  GSS-API / SSPI Authenticated Diffie-Hellman Group Exchange as defined in RFC 4462 Section 2

  __init__(transport)
  start_kex()

    Start the GSS-API / SSPI Authenticated Diffie-Hellman Group Exchange

  parse_next(ptype, m)

    Parse the next packet.

    Parameters:

      - ptype – The (string) type of the incoming packet

      - m (Message) – The packet content

  __weakref__

    list of weak references to the object (if defined)

class paramiko.kex_gss.NullHostKey

  This class represents the Null Host Key for GSS-API Key Exchange as defined in RFC 4462 Section 5

  __init__()
  __str__()

    Return str(self).

  __weakref__

    list of weak references to the object (if defined)